zlinsolx2.c File Reference
Example

ZGSSVX to solve systems repeatedly with the same sparsity pattern of matrix A. More...

`#include <getopt.h>`
`#include "slu_zdefs.h"`
Include dependency graph for zlinsolx2.c:

## Functions

void | parse_command_line (int argc, char *argv[], int *lwork, double *u, yes_no_t *equil, trans_t *trans)
| Parse command line options to get relaxed snode size, panel size, etc. More...
int | main (int argc, char *argv[])

## Function Documentation

## main()

int main | ( | int | argc,
|  | char * | argv[]
| ) |  |

The driver program ZLINSOLX2.

This example illustrates how to use ZGSSVX to solve systems repeatedly with the same sparsity pattern of matrix A. In this case, the column permutation vector perm_c is computed once. The following data structures will be reused in the subsequent call to ZGSSVX: perm_c, etree

Here is the call graph for this function:

## parse_command_line()

void parse_command_line | ( | int | argc,
|  | char * | argv[],
|  | int * | lwork,
|  | double * | u,
|  | yes_no_t * | equil,
|  | trans_t * | trans
| ) |  |